Capsule API Example

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
capsule::client::NFBCalibrator Class Referencefinal

Calibration for Individual NFB and NFB baseline. More...

`#include <NFBCalibrator.hpp>`

## Public Types
enum class | Stage : uint8_t { Stage1 , Stage2 , Stage3 , Stage4 }

## Public Member Functions
| NFBCalibrator (Device &owner)
void | CalibrateIndividualNFB (const nfb::IndividualNFBStageInfo &info)
void | CalibrateIndividualNFB (Stage stage)
void | CalibrateIndividualNFBQuick ()
void | ImportIndividualNFBData (const nfb::IndividualNFBData &data)
void | SetOnIndividualNFBStageFinishedEvent (std::function< void(NFBCalibrator &)> &&callback)
void | SetOnIndividualNFBCalibratedEvent (std::function< void(NFBCalibrator &, const nfb::IndividualNFBData &)> &&callback)
bool | IsCalibrated () const
nfb::IndividualNFBData | GetIndividualNFB () const

## Detailed Description

Calibration for Individual NFB and NFB baseline.

## Member Enumeration Documentation

## ◆ Stage

enum class capsule::client::NFBCalibrator::Stage : uint8_t
| strong

Enumerator
Stage1 |
Stage2 |
Stage3 |
Stage4 |

## Constructor & Destructor Documentation

## ◆ NFBCalibrator()

capsule::client::NFBCalibrator::NFBCalibrator | ( | Device & | owner | ) |
| explicit

## Member Function Documentation

## ◆ CalibrateIndividualNFB() [1/2]

void capsule::client::NFBCalibrator::CalibrateIndividualNFB | ( | const nfb::IndividualNFBStageInfo & | info | ) |

## ◆ CalibrateIndividualNFB() [2/2]

void capsule::client::NFBCalibrator::CalibrateIndividualNFB | ( | Stage | stage | ) |

## ◆ CalibrateIndividualNFBQuick()

void capsule::client::NFBCalibrator::CalibrateIndividualNFBQuick | ( |  | ) |

## ◆ GetIndividualNFB()

nfb::IndividualNFBData capsule::client::NFBCalibrator::GetIndividualNFB | ( |  | ) | const

## ◆ ImportIndividualNFBData()

void capsule::client::NFBCalibrator::ImportIndividualNFBData | ( | const nfb::IndividualNFBData & | data | ) |

## ◆ IsCalibrated()

bool capsule::client::NFBCalibrator::IsCalibrated | ( |  | ) | const

## ◆ SetOnIndividualNFBCalibratedEvent()

void capsule::client::NFBCalibrator::SetOnIndividualNFBCalibratedEvent | ( | std::function< void(NFBCalibrator &, const nfb::IndividualNFBData &)> && | callback | ) |

## ◆ SetOnIndividualNFBStageFinishedEvent()

void capsule::client::NFBCalibrator::SetOnIndividualNFBStageFinishedEvent | ( | std::function< void(NFBCalibrator &)> && | callback | ) |

The documentation for this class was generated from the following file:

- C:/builds/bci/capsule/CapsuleClient/Include/NFBCalibrator.hpp